%define modname framegrab
%define dirname %{modname}
%define soname %{modname}.so
%define inifile B11_%{modname}.ini

Summary:	A video frame grabber extension
Name:		php-%{modname}
Version:	0.1.1
Release:	%mkrel 8
Group:		Development/PHP
License:	PHP License
URL:		http://pecl.php.net/package/framegrab/
Source0:	http://pecl.php.net/get/framegrab-%{version}.tgz
Source1:	B11_framegrab.ini
BuildRequires:	libpng-devel
BuildRequires:	pkgconfig
BuildRequires:	php-devel >= 3:5.2.0

%description
Provides a set of classes and functions for grabbing video frames from video
capture devices.

%prep

%setup -q -n framegrab-%{version}
[ "../package*.xml" != "/" ] && mv ../package*.xml .

cp %{SOURCE1} %{inifile}

# lib64 fix
perl -pi -e "s|/lib\b|/%{_lib}|g" config.m4

%build
%serverbuild
export FRAMEGRAB_SHARED_LIBADD=`pkg-config --libs libpng`

phpize
%configure2_5x --with-libdir=%{_lib} \
    --with-%{modname}=shared,%{_prefix}
%make
mv modules/*.so .

%install
rm -rf %{buildroot} 

install -d %{buildroot}%{_libdir}/php/extensions
install -d %{buildroot}%{_sysconfdir}/php.d

install -m0755 %{soname} %{buildroot}%{_libdir}/php/extensions/
install -m0644 %{inifile} %{buildroot}%{_sysconfdir}/php.d/%{inifile}

%clean
rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc package*.xml
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/php.d/%{inifile}
%attr(0755,root,root) %{_libdir}/php/extensions/%{soname}





%changelog

* Mon Mar 19 2012 luigiwalser <luigiwalser> 0.1.1-8.mga2
+ Revision: 223891
- httpd restart is handled by filetriggers now

* Wed Dec 21 2011 spuhler <spuhler> 0.1.1-7.mga2
+ Revision: 185228
- rebuild against php-5.3.9

* Sun Feb 06 2011 spuhler <spuhler> 0.1.1-6.mga2
+ Revision: 47895
- removed buildroot definition from .spec
- imported package php-framegrab


* Sat Jan 08 2011 Oden Eriksson <oeriksson@mandriva.com> 0.1.1-6mdv2011.0
+ Revision: 629794
- rebuilt for php-5.3.5

* Mon Jan 03 2011 Oden Eriksson <oeriksson@mandriva.com> 0.1.1-5mdv2011.0
+ Revision: 628101
- ensure it's built without automake1.7

* Wed Nov 24 2010 Oden Eriksson <oeriksson@mandriva.com> 0.1.1-4mdv2011.0
+ Revision: 600485
- rebuild

* Sun Oct 24 2010 Oden Eriksson <oeriksson@mandriva.com> 0.1.1-3mdv2011.0
+ Revision: 588795
- rebuild

* Fri Mar 05 2010 Oden Eriksson <oeriksson@mandriva.com> 0.1.1-2mdv2010.1
+ Revision: 514540
- rebuilt for php-5.3.2

* Wed Mar 03 2010 Oden Eriksson <oeriksson@mandriva.com> 0.1.1-1mdv2010.1
+ Revision: 513875
- import php-framegrab


* Wed Mar 03 2010 Oden Eriksson <oeriksson@mandriva.com> 0.1.1-1mdv2010.0
- initial Mandriva package
